View Issue Details

IDProjectCategoryView StatusLast Update
0002796SymmetricDS ProBugpublic2016-09-29 21:01
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.5Fixed in Version3.8.5 
Summary0002796: File Channels are missing when first enabling file sync.
DescriptionStarting from a fresh install, I first enable file sync (Set the parameter file.sync.enable=true). I cannot add a file sync trigger because the filesync channel is not available in the list. I had to restart the server to add the file sync trigger. (See attached screenshot)
TagsNo tags attached.

Activities

mmichalek

2016-09-13 16:51

administrator  

file-sync-channel.png (104,921 bytes)
file-sync-channel.png (104,921 bytes)

Related Changesets

SymmetricDS: 3.8 5b6446c6

2016-09-16 18:38:48

mmichalek

Details Diff
0002796: File Channels are missing when first enabling file sync.
- also did a little cleanup in the jobs to support properly starting up
the file sync jobs when the file.sync.enabled parameter changes (and
similar for other jobs driven by the parameters).

0002796
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidJobManager.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/AbstractJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncPushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/FileSyncTrackerJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/HeartbeatJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/IncomingPurgeJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/InitialLoadExtractorJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/MonitorJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OfflinePullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OfflinePushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/OutgoingPurgeJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/PullJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/PushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RefreshCacheJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/ReportStatusJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/RouterJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/StageManagementJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/StatisticFlushJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/SyncTriggersJob.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/WatchdogJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeChannel.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File

SymmetricDS: 3.8 0c5cc1c2

2016-09-19 18:32:56

mmichalek

Details Diff
0002796: File Channels are missing when first enabling file sync.
0002796
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidJobManager.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/IJobManager.java Diff File

Issue History

Date Modified Username Field Change
2016-09-13 16:51 mmichalek New Issue
2016-09-13 16:51 mmichalek Status new => assigned
2016-09-13 16:51 mmichalek Assigned To => mmichalek
2016-09-13 16:51 mmichalek File Added: file-sync-channel.png
2016-09-16 19:00 mmichalek Changeset attached => SymmetricDS 3.8 5b6446c6
2016-09-19 18:33 mmichalek Status assigned => resolved
2016-09-19 18:33 mmichalek Resolution open => fixed
2016-09-19 18:33 mmichalek Fixed in Version => 3.8.5
2016-09-19 18:33 mmichalek Target Version => 3.8.5
2016-09-19 19:00 mmichalek Changeset attached => SymmetricDS 3.8 0c5cc1c2
2016-09-29 21:01 admin Status resolved => closed